<?php
class kavehWidgets {
    
    public function __construct() {
        require_once get_template_directory() . '/inc/widgets.php';

        add_action( 'widgets_init', array($this, 'register_category_filter_widget') );
        add_action( 'widgets_init', array($this, 'register_woocommerce_attribute_widget') );
        add_action( 'widgets_init', array($this, 'register_range_price_widget') );
        add_action( 'widgets_init', array($this, 'register_fast_send_widget') );
        add_action( 'widgets_init', array($this, 'register_exists_products_widget') );
        add_action( 'widgets_init', array($this, 'register_latest_articles_widget') );
        add_action( 'widgets_init', array($this, 'register_blog_category_widget') );
    }
    // Register the Category Filter Widget
    public function register_category_filter_widget() {
        register_widget( 'Category_Filter_Widget' );
    }
    // Register the WooCommerce Attribute Widget
    public function register_woocommerce_attribute_widget() {
        register_widget( 'WooCommerce_Attribute_Widget' );
    }
    // Register the Range Price Widget
    public function register_range_price_widget() {
        register_widget( 'Range_Price_Widget' );
    }
    // Register the Fast Send Widget
    public function register_fast_send_widget() {
        register_widget( 'Fast_Send_Widget' );
    }
    // Register the Exists Products Widget
    public function register_exists_products_widget() {
        register_widget( 'Exists_Products_Widget' );
    }
    // Register the Latest Articles Widget
    public function register_latest_articles_widget() {
        register_widget( 'Latest_Articles_Widget' );
    }
    // Register the Blog Category Widget
    public function register_blog_category_widget() {
        register_widget( 'Blog_Category_Widget' );
    }

}









